/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Sun Jan 26 13:05:56 CET 2003
    copyright            : (C) 2003 by Frank von Daak
    email                : frank.fun@kpage.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "ksqlanalyzer.h"

static const char *description =
	I18N_NOOP("KSqlAnalyzer");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { "+[File]", I18N_NOOP("file to open"), 0 },
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

	KAboutData aboutData( "ksqlanalyzer", I18N_NOOP("KSqlAnalyzer"),
		VERSION, description, KAboutData::License_GPL,
		"(c) 2000, Frank von Daak", 0, 0, "frank.fun@kpage.de");
	aboutData.addAuthor("Frank von Daak",I18N_NOOP("Maintainer"), "f.vondaak@kpage.de");
	
	KCmdLineArgs::init( argc, argv, &aboutData );
	KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication app;
 
  if (app.isRestored())
  {
    RESTORE(KSqlAnalyzerApp);
  }
  else 
  {
    KSqlAnalyzerApp *mainWindow = new KSqlAnalyzerApp();
    mainWindow->show();

    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

//		mainWindow->openLoginDialog();
	  mainWindow->openDocumentFile();
		args->clear();
  }

  return app.exec();
}  
